Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class DeployedUnitImpl

    java.lang.Object
      org.jbpm.kie.services.impl.DeployedUnitImpl

All Implemented Interfaces:
  DeployedUnit

    public class DeployedUnitImpl

extends Object
implements DeployedUnit

Constructor Summary
`DeployedUnitImpl(DeploymentUnit unit)`

Method Summary
`void` | `addAssetLocation(String assetId, ProcessDesc processAsset)`
`String` | `getDeployedAssetLocation(String assetId)`
`Collection<ProcessDesc>` | `getDeployedAssets()`
`DeploymentUnit` | `getDeploymentUnit()`
`RuntimeManager` | `getRuntimeManager()`
`void` | `setRuntimeManager(RuntimeManager manager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployedUnitImpl

    public DeployedUnitImpl(DeploymentUnit unit)

Method Detail

### getDeploymentUnit

    public DeploymentUnit getDeploymentUnit()

  Specified by:
    `getDeploymentUnit` in interface `DeployedUnit`

### getDeployedAssetLocation

    public String getDeployedAssetLocation(String assetId)

  Specified by:
    `getDeployedAssetLocation` in interface `DeployedUnit`

### getRuntimeManager

    public RuntimeManager getRuntimeManager()

  Specified by:
    `getRuntimeManager` in interface `DeployedUnit`

### addAssetLocation

    public void addAssetLocation(String assetId,
                                 ProcessDesc processAsset)

### setRuntimeManager

    public void setRuntimeManager(RuntimeManager manager)

### getDeployedAssets

    public Collection<ProcessDesc> getDeployedAssets()

  Specified by:
    `getDeployedAssets` in interface `DeployedUnit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.